import javax.xml.parsers.*;
import org.w3c.dom.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class DOMParseServlet extends HttpServlet {
	public void doGet(HttpServletRequest request, 
                      HttpServletResponse response) 
                          throws ServletException, IOException {

		response.setContentType("text/html; charset=UTF-8");
		PrintWriter out = response.getWriter();
		out.println("<html><head><title>結果表示</title></head><body>");

		try {
			DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
			DocumentBuilder builder = factory.newDocumentBuilder();

			Document doc = builder.parse("http://localhost:8080/dom/family.xml");

			Element topElement = doc.getDocumentElement();
			NodeList list = topElement.getChildNodes();
			printNodeList(list, out);
		} catch (Exception e) {
			out.println(e.toString());
		}
		out.println("</body></html>");
  	}

	private void printNodeList(NodeList list, PrintWriter out){
		for (int i = 0 ; i < list.getLength(); i++){
			Node node = list.item(i);
			if (node.getNodeType()==Node.ELEMENT_NODE ){
				out.println("[ " + node.getNodeName() +" ] ");//[ 兄 ]

				NamedNodeMap nodemap = node.getAttributes();
				if (nodemap.getLength() > 0){
				    for (int j = 0 ; j < nodemap.getLength(); j++){
					out.println(nodemap.item(j).getNodeName());//年齢
					out.println(nodemap.item(j).getNodeValue());//23
				    }
				}

				NodeList nodelist = node.getChildNodes();
				if (nodelist.getLength() > 0 ){
				    out.println(nodelist.item(0).getNodeValue());//一郎
				}
				out.println("<br/>");//改行
			}
		}
	}
}
